# sound.h File Reference

`#include <ptlib/plugin.h>`
`#include <ptlib/pluginmgr.h>`

Go to the source code of this file.

## Classes

class | PSound
| A class representing a sound. More...
class | PSoundChannel
| Abstract class for a generalised sound channel, and an implementation of PSoundChannel for old code that is not plugin-aware. More...
class | PSoundChannelPluginServiceDescriptor< className >

## Defines

#define | PCREATE_SOUND_PLUGIN(name, className)

## Define Documentation

#define PCREATE_SOUND_PLUGIN | ( | name,
|  | className |  | ) |

Value:

    static PSoundChannelPluginServiceDescriptor<className> className##_descriptor; \
      PCREATE_PLUGIN(name, PSoundChannel, &className##_descriptor)